{
    "$schema": "https://getcomposer.org/schema.json",
    "name": "koneko/laravel-vuexy-admin-mexico-community",
    "description": "Laravel Vuexy Admin México Community. Un proyecto optimizado para México.",
    "keywords": ["laravel", "koneko", "framework", "vuexy", "website", "admin", "manager", "contacts", "store", "warehouse", "asset", "pos", "point of sale", "tpv", "Terminal punto de venta", "mexico", "sat", "timbrado", "cfdi", "exchange", "rates", "currencies", "geolocation", "community"],
    "type": "project",
    "license": "MIT",
    "require": {
        "php": "^8.2",
        "koneko/laravel-vuexy-admin": "@dev",
        "koneko/laravel-vuexy-asset-management": "@dev",
        "koneko/laravel-vuexy-contacts": "@dev",
        "koneko/laravel-vuexy-store-manager": "@dev",
        "koneko/laravel-vuexy-warehouse": "@dev",
        "koneko/laravel-vuexy-website-admin": "@dev",
        "koneko/laravel-vuexy-website-blog": "@dev",
        "koneko/laravel-vuexy-website-layout-porto": "@dev",
        "laravel/framework": "^11.31",
        "laravel/tinker": "^2.9"
    },
    "require-dev": {
        "fakerphp/faker": "^1.23",
        "laravel/pail": "^1.1",
        "laravel/pint": "^1.13",
        "laravel/sail": "^1.26",
        "mockery/mockery": "^2.0",
        "nunomaduro/collision": "^8.1",
        "phpunit/phpunit": "^11.0.1"
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "bash -c './setup.sh'"
        ],
        "post-update-cmd": [
            "@php artisan vendor:publish --tag=laravel-assets --ansi",
            "@php artisan vendor:publish --tag=sat-catalogs-seeders --ansi --force"
        ],
        "dev": [
            "Composer\\Config::disableProcessTimeout",
            "npx concurrently -c \"#93c5fd,#c4b5fd,#fb7185,#fdba74\" \"php artisan serve\" \"php artisan queue:listen --tries=1\" \"php artisan pail --timeout=0\" \"vite build --watch\" --names=server,queue,logs,vite"
        ]
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true,
        "allow-plugins": {
            "pestphp/pest-plugin": true,
            "php-http/discovery": true
        }
    },
    "authors": [
        {
            "name": "Arturo Corro Pacheco",
            "email": "arturo@koneko.mx"
        }
    ],
    "minimum-stability": "dev",
    "preferred-install": "dist"
}
